msgpack::type::define_array< Args > Struct Template Reference

`#include <cpp11_define_array.hpp>`

## Public Types

typedef define_array< Args... > | value_type
typedef std::tuple< Args... > | tuple_type

## Public Member Functions

| define_array (Args &... args)
template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (msgpack::object const &o)
void | msgpack_object (msgpack::object *o, msgpack::zone &z) const

## Public Attributes

std::tuple< Args &... > | a

## Member Typedef Documentation

## tuple_type

template<typename... Args>

typedef std::tuple<Args...> msgpack::type::define_array< Args >::tuple_type

## value_type

template<typename... Args>

typedef define_array<Args...> msgpack::type::define_array< Args >::value_type

## Constructor & Destructor Documentation

## define_array()

template<typename... Args>

msgpack::type::define_array< Args >::define_array | ( | Args &... | args | ) |

inline

Referenced by msgpack::type::define_array<>::msgpack_object().

## Member Function Documentation

## msgpack_object()

template<typename... Args>

void msgpack::type::define_array< Args >::msgpack_object | ( | msgpack::object * | o,
|  | msgpack::zone & | z
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, and msgpack::object::via.

Referenced by msgpack::type::define_array<>::msgpack_object().

## msgpack_pack()

template<typename... Args>
template<typename Packer >

void msgpack::type::define_array< Args >::msgpack_pack | ( | Packer & | pk | ) | const

inline

References msgpack::type::define_array_imp< Tuple, N >::pack().

Referenced by msgpack::type::define_array<>::msgpack_object().

## msgpack_unpack()

template<typename... Args>

void msgpack::type::define_array< Args >::msgpack_unpack | ( | msgpack::object const & | o | ) |

inline

References msgpack::type::ARRAY, msgpack::object::type, and msgpack::type::define_array_imp< Tuple, N >::unpack().

Referenced by msgpack::type::define_array<>::msgpack_object().

## Member Data Documentation

## a

template<typename... Args>

std::tuple<Args&...> msgpack::type::define_array< Args >::a

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_define_array.hpp